%define require_ibus_version 1.3.0

Name:       ibus-m17n
Version:    1.3.0
Release:    2%{?dist}
Summary:    The M17N engine for IBus platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

Patch0:     ibus-m17n-iok.patch
Patch1:	    ibus-m17n-641243-indic-ranks.patch
Patch2:	    ibus-m17n-652201-altgr.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  m17n-lib-devel
BuildRequires:  ibus-devel >= %{require_ibus_version}

Requires:   ibus >= %{require_ibus_version}
Requires:   m17n-lib
Requires:   iok > 1.3.1

%description
M17N engine for IBus input platform. It allows input of many languages using
the input table maps from m17n-db.

%prep
%setup -q
%patch0 -p1 -b .iok
%patch1 -p1 -b .indic-ranks
%patch2 -p1 -b .altgr

%build
%configure --disable-static
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-m17n
%{_libexecdir}/ibus-engine-m17n
%{_datadir}/ibus/component/*


%changelog

